Add trap and cleanup for SIGTERM sent by timeout and SIGINT from
keyboard, for the test times out and leaves incoherent network stack.
Fixes: e035146d65603 ("selftests: forwarding: Add multipath tunneling nexthop test")
Cc: Ido Schimmel <[email protected]>
Cc: [email protected]
---
tools/testing/selftests/net/forwarding/gre_multipath_nh.sh | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/tools/testing/selftests/net/forwarding/gre_multipath_nh.sh b/tools/testing/selftests/net/forwarding/gre_multipath_nh.sh
index d03aa2cab9fd..8338b8693387 100755
--- a/tools/testing/selftests/net/forwarding/gre_multipath_nh.sh
+++ b/tools/testing/selftests/net/forwarding/gre_multipath_nh.sh
@@ -347,7 +347,7 @@ multipath_ipv6_l4()
multipath6_l4_test "Weighted MP 11:45" 11 45
}
-trap cleanup EXIT
+trap cleanup INT TERM EXIT
setup_prepare
setup_wait
--
2.34.1